const path = require("path");
const HtmlWebpackPlugin = require("html-webpack-plugin");
const { CleanWebpackPlugin } = require("clean-webpack-plugin");
const CopyPlugin = require("copy-webpack-plugin");
let config = {
  entry: {
    app: "./source/index.js",
  },
  devServer: {
    contentBase: "./dist",
  },
  plugins: [
    new CleanWebpackPlugin(),
    new CopyPlugin({
      patterns: [
        {
          from: "source/favicon.ico",
          to: "./",
        },
      ],
    }),

    new HtmlWebpackPlugin({
      template: "source/index.html",
    }),
  ],
  output: {
    filename: "[name].bundle.js",
    path: path.resolve(__dirname, "dist"),
  },
  module: {
    rules: [
      {
        test: /\.css$/i,
        use: ["style-loader", "css-loader"],
      },
    ],
  },
};
module.exports = (env, argv) => {
  if (argv.mode !== "production") {
    config.devtool = "eval-cheap-source-map";
  }
  return config;
};
